package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.ClosedAreaCarApplyE;

/**
 * web-domain
 *
 * @Author dearLin
 * @Date 2026-03-20 10:07:14
 */
public interface ClosedAreaCarApplyGateway {

    /**
     * 新增
     */
    Boolean add(ClosedAreaCarApplyE closedAreaCarApplyE);

    /**
     * 修改
     */
    Boolean update(ClosedAreaCarApplyE closedAreaCarApplyE);

    /**
     * 删除
     */
    Boolean deletedClosedAreaCarApplyById(Long id);

    Boolean deletedClosedAreaCarApplyByIds(Long[] id);

    ClosedAreaCarApplyE queryById(Long id);
}

